package CustomCommands;

our %COMMANDS = (
    # Example command:
    # 'hello' => sub { print "Hello, World!\n"; return 1; }
    'quit' => sub { exit; return 1; }
);

sub handle {
    my ($command) = @_;
    
    # Check if this is a custom command
    foreach my $cmd (keys %COMMANDS) {
        if ($command =~ /^$cmd\b/) {
            return $COMMANDS{$cmd}->($command);
        }
    }
    
    return 0; # Not a custom command
}

1;
